de.caff.gimmicks.swing

## Enum CollapsibleTabbedPane.ExpandableDirection

- java.lang.Object
- - java.lang.Enum<CollapsibleTabbedPane.ExpandableDirection>
  - - de.caff.gimmicks.swing.CollapsibleTabbedPane.ExpandableDirection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CollapsibleTabbedPane.ExpandableDirection>
  Enclosing class:
    CollapsibleTabbedPane

      public static enum CollapsibleTabbedPane.ExpandableDirection
      extends java.lang.Enum<CollapsibleTabbedPane.ExpandableDirection>

  Direction in which a `CollapsiblePane` is expandable.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Horizontally` Can expand in horizontal direction.
    `Vertically` Can expand in vertical direction.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CollapsibleTabbedPane.ExpandableDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CollapsibleTabbedPane.ExpandableDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Horizontally

          public static final CollapsibleTabbedPane.ExpandableDirection Horizontally

      Can expand in horizontal direction.

    - #### Vertically

          public static final CollapsibleTabbedPane.ExpandableDirection Vertically

      Can expand in vertical direction.

  - ### Method Detail

    - #### values

          public static CollapsibleTabbedPane.ExpandableDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CollapsibleTabbedPane.ExpandableDirection c : CollapsibleTabbedPane.ExpandableDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CollapsibleTabbedPane.ExpandableDirection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null